.stamp-sheet {
  max-width: 1320px;
  min-width: 600px;
  margin: 0 auto;
    margin-left: 100px;
  display: flex;
  flex-wrap: wrap;
}

.stamp {
  width: 100px;
  height: 120px;
  padding: 5px;
  position: relative;
  background: #efeee8;
  background: radial-gradient(
    transparent 2px,
    #efeee8 2px
  );
  background-size: 10px 10px;
  background-position: -5px -5px;
  transition: ease-in-out 300ms;
  will-change: transform;
  font-family: "Syne Mono", monospace;
}

.stamp img {
  width: 90px;
  height: 110px;
  object-fit: cover;
  display: block;
    filter: sepia(15%) contrast(85%) brightness(90%);
}

.stamp:last-child {
  transform: rotate(7deg);
  transform-origin: bottom left;
}

.stamp:hover {
  z-index: 1;
  transform: rotate(3deg);
  transform-origin: center;
  filter: drop-shadow(0 0 5px rgba(0, 0, 0, 0.3));
  transition: ease-in-out 300ms;
}


.stamp img:hover {
    filter: sepia(0%) contrast(100%) brightness(100%);
}